# 5_Leeres_Fenster-Ereignis.py

# Hinzufuegen der Ereignisbehandlung für Button und Fenster

import wx
#----------------------
class MeinFrame(wx.Frame):
    def __init__(
            self, parent, ID, title, pos=wx.DefaultPosition,
            size=wx.DefaultSize, style=wx.DEFAULT_FRAME_STYLE
            ):

        wx.Frame.__init__(self, parent, ID, title, pos, size, style)
        panel = wx.Panel(self, -1)

        button = wx.Button(panel, 1003, "Beenden")
        button.SetPosition((100, 70))
        self.Bind(wx.EVT_BUTTON, self.OnCloseMe, button)
        self.Bind(wx.EVT_CLOSE, self.OnCloseWindow)


    def OnCloseMe(self, event):
        self.Close(True)

    def OnCloseWindow(self, event):
        self.Destroy()
    

#----------------------
if __name__=='__main__':
    app=wx.App()
    fenster=MeinFrame(None, -1, "Fenster")
    app.SetTopWindow(fenster)
    fenster.Show(True)
    app.MainLoop()
